GCLOUD_ORGANIZATIONS_ADD-IAM-POLICY-BINDING(1)

NAME

gcloud organizations add-iam-policy-binding - add IAM policy binding for a organization

SYNOPSIS

gcloud organizations add-iam-policy-binding ORGANIZATION_ID --member=MEMBER --role=ROLE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Adds a policy binding to the IAM policy of an organization, given an organization ID and the binding.

POSITIONAL ARGUMENTS

    ORGANIZATION_ID
        ID for the organization to which you want to add a binding

REQUIRED FLAGS

    --member=MEMBER
        The member to add to the binding. Should be of the form user:user_email (e.g. user:test-user@gmail.com.)

    --role=ROLE
        Define the role of the member.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command will add an IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on a organization with identifier '123456789'
    $ gcloud organizations add-iam-policy-binding 123456789 \
        --member='user:test-user@gmail.com' --role='roles/editor'
See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.